/**
 * Copyright (c) 2015 (rxtxup). All rights reserved.
 * @author rxtxup@gmail.com (Eugene Shementov)
 */
 
var settings = {
    logo: {
        url: 'http://partners.instaforex.com/en/'
    },
    gmail: {
        url: 'https://mail.google.com/'
    },
    vk: {
        url: ''
    },
    ok: {
        url: ''
    },
    in: {
        url: ''
    },
    g: {
        url: 'https://plus.google.com/u/0/103528536182613146326/about'
    },
    yo: {
        url: ''
    },
    fb: {
        url: 'http://www.facebook.com/groups/instapartners/'
    },
    tw: {
        url: 'https://twitter.com/InstaFxPartners'
    },
    chat: {
        url: 'http://partners.instaforex.com/en/online_support_chat.php'
    },
    forPartners: {
        name: 'For partners',
        items: {
            'Company news': 'https://www.instaforex.com/company_news',
            'Commission specification': 'http://partners.instaforex.com/en/partners_comissions.php/',
            'Partner calculator': 'http://partners.instaforex.com/en/commission_calculator.php/',
            'Cost Per Action': 'http://partners.instaforex.com/en/cpa_partner.php/'
        }
    },
    attraction: {
        name: 'Ways to attract',
        items: {
            'InstaForex contests': 'http://partners.instaforex.com/en/contests_instaforex.php/',
            'InstaForex bonus system': 'http://partners.instaforex.com/en/bonuses_instaforex.php/',
            'Recommendations': 'http://partners.instaforex.com/en/recommendations.php/',
            'Company services': 'http://partners.instaforex.com/en/company_services.php/',
            'Affiliate link': 'http://partners.instaforex.com/en/work_affiliate_links.php/',
            'InstaForex QR code': 'http://partners.instaforex.com/en/qr_code.php/',
            'Training': 'http://partners.instaforex.com/en/education.php/',
            'Forums': 'http://partners.instaforex.com/en/forums.php/'
        }
    },
    materials: {
        name: 'Promotional materials',
        items: {
            'Banners': 'http://partners.instaforex.com/en/banners.php/',
            'Promo pages': 'http://partners.instaforex.com/en/change_promo.php/',
            'Branded graphics': 'http://partners.instaforex.com/en/brand_graphics.php/',
            'Educational materials': 'http://partners.instaforex.com/en/educational_materials.php/',
            'Certificates': 'http://partners.instaforex.com/en/certificates.php/',
            'Forex informers': 'https://www.instaforex.com/forex_informers.php#/quotes-online',
            'RSS feeds': 'http://partners.instaforex.com/en/rss_forex.php/',
            'Branded Products': 'http://partners.instaforex.com/en/brand_production.php/',
            'Avatars': 'http://partners.instaforex.com/en/instaforex_avatars.php/',
            'Quotes distribution': 'http://partners.instaforex.com/en/quotes_description.php/',
            'InstaForex video': 'http://partners.instaforex.com/en/video.php/'
        }
    },
    offers: {
        name: 'Special offers',
        items: {
            '500$ Affiliate Reward!': 'http://partners.instaforex.com/en/forex_partner_bonus.php/',
            'Coupon Bonuses': 'http://partners.instaforex.com/en/partner-coupon.php/',
            'Gifts to Partners': 'http://partners.instaforex.com/en/contest_forex_device.php/',
            'Bonus points': 'http://partners.instaforex.com/en/shop_bonuses.php/'
        }
    },
    partnerCabinet: {
        name: 'Partner cabinet',
        items: {
            'Log in Partner to Cabinet': 'https://cabinet.instaforex.com/partner/',
            'Deposit money': 'https://secure.instaforex.com/en/deposits',
            'Withdraw Funds': 'https://secure.instaforex.com/en/withdrawals',
            'Payment Notify': 'https://secure.instaforex.com/login.aspx?ReturnUrl=/notify/performed-payment-notify.aspx'
        }
    }
};


function onMenuItemClick(id, item_key, search_param) {
    var url;
    if (search_param) {
        url = 'http://partners.instaforex.com/en/search.php/?q='+search_param;
    }
    else if (settings[id].hasOwnProperty('url')) {
        url = settings[id].url;
    } else {
        url = settings[id].items[item_key];
    }
    chrome.runtime.sendMessage({id: 'OPEN_THIS_URL', url: url});
}

/**
 * We didn't use previous method onMenuItemClick() because there was problem with complex string in keys.
 */
function onRssMenuItemClick(link) {
    chrome.runtime.sendMessage({id: 'OPEN_THIS_URL', url: link});
}